DKBSignDocs

API reference

POSTRequires Bearer token

Relaunch a returned workflow

/api/workflows/{workflow}/relaunch

Initiator or admin. Multipart replacement PDFs after return-to-initiator.

Path parameters

FieldTypeDescription
workflow
Required
stringPath parameter workflow.

Query parameters

This endpoint has no query parameters.

Request body

FieldTypeDescription
files
Required
arrayReplacement PDFs (min 1).
e.g. ["example"]

Responses

StatusMeaning
201Relaunched
401Missing or invalid Bearer token.

Request

curl
curl -X POST 'https://api.dkbsigns.com/api/workflows/workflow/relaunch' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"files":["example"]}'

Response 201

json
{
  "message": "Workflow relancé",
  "workflow": {
    "id": 88,
    "name": "Contract ACME",
    "status": "in_progress",
    "model_id": 3,
    "client_id": 12
  },
  "instance": {
    "id": 92
  }
}